Summary:	A tool for generating C-based recognizers from regular expressions
Name:		re2c
Version:	0.11.2
Release:	%mkrel 1
License:	Public Domain
Group:		Development/Tools
URL:		http://re2c.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/re2c/re2c-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
re2c is a great tool for writing fast and flexible lexers. It has served many
people well for many years and it deserves to be maintained more actively. re2c
is on the order of 2-3 times faster than a flex based scanner, and its input
model is much more flexible.

%prep

%setup -q

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# fix attribs
chmod 644 doc/* examples/*.c examples/*.re examples/rexx/* CHANGELOG README

find lessons -type f -exec chmod 644 {} \;
find test -type f -exec chmod 644 {} \;

# don't ship windows code
rm -rf lessons/001_upn_calculator/windows

%build

%configure2_5x

%make

#regenerate file scanner.cc
rm -f scanner.cc
./re2c scanner.re > scanner.cc
rm -f re2c scanner.o
%make

%check
make check

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/* examples CHANGELOG README lessons
%attr(0755,root,root) %{_bindir}/re2c
%{_mandir}/man1/re2c.1*


%changelog
* Thu Mar 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.11.2-1mdv2007.0
+ Revision: 130337
- 0.11.2

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.11.1-1mdv2007.1
+ Revision: 123180
- . 0.11.1

* Tue Jan 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.11.0-1mdv2007.1
+ Revision: 103094
- 0.11.0

* Tue Oct 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.6-2mdv2007.1
+ Revision: 63291
- rebuild
- Import re2c



* Sun Aug 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.6-1mdv2007.0
- 0.10.6 (Minor bugfixes)

* Sun Jun 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.5-1mdv2007.0
- 0.10.5 (Minor bugfixes)

* Thu Jun 01 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.4-1mdv2007.0
- 0.10.4

* Sun May 14 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.3-1mdk
- 0.10.3

* Tue May 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.2-1mdk
- 0.10.2 (Minor feature enhancements)

* Sun Mar 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.1-1mdk
0.10.1

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.0-1mdk
- 0.10.0 (Major feature enhancements)

* Tue Jan 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.12-1mdk
- 0.9.12

* Tue Sep 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.10-1mdk
- initial Mandriva package
